import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Apples fall from the top of the World randomly.
 * 
 * @author Munglok Wong 
 */
public class Apple  extends Actor
{
    /**
     * Call methods appleFalling and appleDisappearing.
     */
    public void act() 
    {
        appleFalling();
        appleDisappearing();
        
    }   
    
    /**
     * Make Apples fall when they appear.
     */
    
    public void appleFalling()
    {
        setLocation(getX(), getY() +1);
    }
    
    /**
     * Make Apples disappear when they touch the ground.
     */
    
    public void appleDisappearing()
    {
        if (getY() == 69)
        {
            getWorld().removeObject(this);
        }
        
    }
                                   
}

